routes/web.php
<?php

use App\Http\Controllers\Admin\DashboardControllers;
use App\Http\Controllers\Admin\ProdukControllers;
use App\Http\Controllers\Admin\SauceControllers;
use App\Http\Controllers\Admin\UkuranControllers;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

//Dashboard
Route::get('/admin/dashboard', [DashboardControllers::class, 'index'])->name('dashboard');

//Produk
Route::resource('admin/produk', ProdukControllers::class);

//Sauce

Route::resource('admin/sauce', SauceControllers::class);


//Ukuran
Route::resource('/admin/ukuran', UkuranControllers::class);

app/Models/sauce.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Sauce extends Model
{
    protected $table = 'table_sauce';
    protected $fillable = [
        'sauce','photo_sauce'
    ];

    public function detail_transaksi(){
        return $this->hasMany(DetailTransaksi::class, 'id_Sauce' ,'id');
    }
}

app/Http/Controllers/Admin/SauceControllers.php
<?php

namespace App\Http\Controllers\Admin;

use App\Models\Sauce;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class SauceControllers extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['sauce'] = Sauce::all();
        return view ('admin.sauce.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view ('admin.sauce.form');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $rule = [
            'sauce' => 'required'
        ];
        $this->validate($request, $rule);
        $foto = 'kosong.jpg';
        $request['photo_sauce'] = $foto;
        $input = $request->all();
        $status = Sauce::create($input);
        if ($status){
            return redirect('admin/sauce')->with('success', 'Data berhasil ditambahkan');
        }else{
            return redirect('admin/sauce/create')->with('error', 'Data gagal Ditambahkan');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $sauce=Sauce::find($id);
        $data['sauce']=$sauce;
        return view ('admin.sauce.form', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        
        $rule = [
            'sauce' => 'required',
        ];
        $this->validate($request, $rule);
        $foto = 'kosong.jpg';
        $request['photo_sauce'] = $foto;
        $input = $request->all();
        $sauce = Sauce::find($id);
        $status = $sauce->update($input);
        if ($status){
            return redirect('admin/sauce')->with('success', 'Data berhasil ditambahkan');
        }else{
            return redirect('admin/sauce/create')->with('error', 'Data gagal Ditambahkan');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $sauce = Sauce::find($id);
        $status = $sauce->delete();
        if ($status){
            return redirect('admin/sauce')->with('success', 'Data berhasil di edit');
        }else{
            return redirect('admin/sauce/create')->with('error', 'Data gagal Di edit');
        }
    }
}

resources/views/admin/sauce/form.blade.php
@extends('admin.layouts.app')

@section('content')
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper">
        <div class="content-header row">
            <div class="content-header-left col-md-9 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Product Foody Moody</h2>
                        <div class="breadcrumb-wrapper">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{url ('admin/dashboard')}}">Home</a>
                                </li>
                                <li class="breadcrumb-item"><a href="{{url ('admin/sauce')}}">Sauce</a>
                                </li>
                                <li class="breadcrumb-item active">Form
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        <div class="col-md-12 col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Form Sauce</h4>
                </div>
                <div class="card-body">
                    @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif
                    <form class="form form-horizontal"  method="POST" action="{{@$sauce ? route('sauce.update', @$sauce->id) : route('sauce.store') }}" enctype="multipart/form-data">
                        @csrf
                        @if (@$sauce)
                            @method('patch')
                        @endif
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group row">
                                    <div class="col-sm-3 col-form-label">
                                        <label for="fname-icon">Sauce Name</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="input-group input-group-merge">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i data-feather="user"></i></span>
                                            </div>
                                            <input type="text" id="sauce" class="form-control" name="sauce" placeholder="{{old('sauce', @$sauce ? $sauce->sauce : 'Nama Sauce')}}" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group row">
                                    <div class="col-sm-3 col-form-label">
                                        <label for="email-icon">Photo</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="input-group input-group-merge">
                                            <input type="file" id="photo_sauce" class="form-control" name="photo_sauce"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-9 offset-sm-3">
                                <button type="submit" class="btn btn-primary mr-1">Submit</button>
                                <button type="reset" class="btn btn-outline-secondary">Reset</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        </div>
@endsection

resources/views/admin/sauce/index.blade.php
@extends('admin.layouts.app')

@section('content') 
@if(session('success'))
    <div class="alert alert-message">
        {{session('success')}}
    </div>
@endif
@if(session('error'))
    <div class="alert alert-message">
        {{session('error')}}
    </div>
@endif
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper">
        <div class="content-header row">
            <div class="content-header-left col-md-9 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Product Foody Moody</h2>
                        <div class="breadcrumb-wrapper">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{url ('admin/dashboard')}}">Home</a>
                                </li>
                                <li class="breadcrumb-item active">Sauce
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                <div class="form-group breadcrumb-right">
                    <div class="dropdown">
                        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i data-feather="grid"></i></button>
                        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="app-todo.html"><i class="mr-1" data-feather="check-square"></i><span class="align-middle">Todo</span></a><a class="dropdown-item" href="app-chat.html"><i class="mr-1" data-feather="message-square"></i><span class="align-middle">Chat</span></a><a class="dropdown-item" href="app-email.html"><i class="mr-1" data-feather="mail"></i><span class="align-middle">Email</span></a><a class="dropdown-item" href="app-calendar.html"><i class="mr-1" data-feather="calendar"></i><span class="align-middle">Calendar</span></a></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" id="table-hover-animation">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Table Sauce</h4>
                        <a href="{{route('sauce.create')}}" class="btn btn-primary">Tambah Data</a>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover-animation">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Sauce</th>
                                        <th>Photo</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($sauce as $row)
                                    <tr>
                                        <td>
                                            {{$loop->iteration}}
                                        </td>
                                        <td>
                                            {{$row->sauce}}
                                        </td>
                                        <td>
                                            {{$row->photo_sauce}}
                                        </td>
                                        <td>
                                            <a class="btn btn-warning mb-sm-1" href="{{route('sauce.edit',$row->id)}}">
                                                Edit
                                            </a>
                                            <form action="{{route('sauce.destroy', $row->id)}}" method="POST">
                                                @method('DELETE')
                                                @csrf
                                                <button class="btn btn-danger">
                                                    Hapus
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection